diff --git a/src/providers/ipa/ipa_subdomains_ext_groups.c b/src/providers/ipa/ipa_subdomains_ext_groups.c
index 7df3dbb..1d0c260 100644
--- a/src/providers/ipa/ipa_subdomains_ext_groups.c
+++ b/src/providers/ipa/ipa_subdomains_ext_groups.c
@@ -58,14 +58,14 @@ static errno_t process_ext_groups(TALLOC_CTX *mem_ctx, size_t reply_count,
 
     tmp_ctx = talloc_new(NULL);
     if (tmp_ctx == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_new failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_new failed.\n");
         ret = ENOMEM;
         goto done;
     }
 
     ret = sss_hash_create(mem_ctx, reply_count, &ext_group_hash);
     if (ret != HASH_SUCCESS) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sss_hash_create failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sss_hash_create failed.\n");
         goto done;
     }
 
@@ -83,7 +83,7 @@ static errno_t process_ext_groups(TALLOC_CTX *mem_ctx, size_t reply_count,
         }
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("sysdb_attrs_get_string_array failed.\n"));
+                  "sysdb_attrs_get_string_array failed.\n");
             goto done;
         }
 
@@ -95,7 +95,7 @@ static errno_t process_ext_groups(TALLOC_CTX *mem_ctx, size_t reply_count,
         }
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("sysdb_attrs_get_string_array failed.\n"));
+                  "sysdb_attrs_get_string_array failed.\n");
             goto done;
         }
 
@@ -105,7 +105,7 @@ static errno_t process_ext_groups(TALLOC_CTX *mem_ctx, size_t reply_count,
             ret = hash_lookup(ext_group_hash, &key, &value);
             if (ret == HASH_SUCCESS) {
                 if (value.type != HASH_VALUE_PTR) {
-                    DEBUG(SSSDBG_OP_FAILURE, ("Unexpected value type.\n"));
+                    DEBUG(SSSDBG_OP_FAILURE, "Unexpected value type.\n");
                     ret = EINVAL;
                     goto done;
                 }
@@ -113,18 +113,18 @@ static errno_t process_ext_groups(TALLOC_CTX *mem_ctx, size_t reply_count,
                 for (m = 0; mof[m] != NULL; m++) {
                     /* hash_enter does not modify m_key.str. */
                     m_key.str = discard_const(mof[m]);
-                    DEBUG(SSSDBG_TRACE_ALL, ("Adding group [%s] to SID [%s].\n",
-                                             m_key.str, key.str));
+                    DEBUG(SSSDBG_TRACE_ALL, "Adding group [%s] to SID [%s].\n",
+                                             m_key.str, key.str);
                     ret = hash_enter(value.ptr, &m_key, &m_value);
                     if (ret != HASH_SUCCESS) {
-                        DEBUG(SSSDBG_OP_FAILURE, ("hash_enter failed.\n"));
+                        DEBUG(SSSDBG_OP_FAILURE, "hash_enter failed.\n");
                         goto done;
                     }
                 }
             } else if (ret == HASH_ERROR_KEY_NOT_FOUND) {
                 ret = sss_hash_create(ext_group_hash, 5, &m_hash);
                 if (ret != HASH_SUCCESS) {
-                    DEBUG(SSSDBG_OP_FAILURE, ("sss_hash_create failed.\n"));
+                    DEBUG(SSSDBG_OP_FAILURE, "sss_hash_create failed.\n");
                     goto done;
                 }
 
@@ -132,26 +132,26 @@ static errno_t process_ext_groups(TALLOC_CTX *mem_ctx, size_t reply_count,
                 value.ptr = m_hash;
 
                 DEBUG(SSSDBG_TRACE_ALL,
-                      ("Adding SID [%s] to external group hash.\n", key.str));
+                      "Adding SID [%s] to external group hash.\n", key.str);
                 ret = hash_enter(ext_group_hash, &key, &value);
                 if (ret != HASH_SUCCESS) {
-                    DEBUG(SSSDBG_OP_FAILURE, ("hash_enter failed.\n"));
+                    DEBUG(SSSDBG_OP_FAILURE, "hash_enter failed.\n");
                     goto done;
                 }
 
                 for (m = 0; mof[m] != NULL; m++) {
                     /* hash_enter does not modify m_key.str. */
                     m_key.str = discard_const(mof[m]);
-                    DEBUG(SSSDBG_TRACE_ALL, ("Adding group [%s] to SID [%s].\n",
-                                             m_key.str, key.str));
+                    DEBUG(SSSDBG_TRACE_ALL, "Adding group [%s] to SID [%s].\n",
+                                             m_key.str, key.str);
                     ret = hash_enter(m_hash, &m_key, &m_value);
                     if (ret != HASH_SUCCESS) {
-                        DEBUG(SSSDBG_OP_FAILURE, ("hash_enter failed.\n"));
+                        DEBUG(SSSDBG_OP_FAILURE, "hash_enter failed.\n");
                         goto done;
                     }
                 }
             } else {
-                DEBUG(SSSDBG_OP_FAILURE, ("hash_lookup failed.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "hash_lookup failed.\n");
                 goto done;
             }
         }
@@ -199,20 +199,20 @@ static errno_t find_ipa_ext_memberships(TALLOC_CTX *mem_ctx,
     ret = sysdb_initgroups(tmp_ctx, user_dom->sysdb, user_dom, user_name,
                            &result);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sysdb_initgroups failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sysdb_initgroups failed.\n");
         goto done;
     }
 
     if (result->count == 0) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("User [%s] not found in cache.\n",
-                                     user_name));
+        DEBUG(SSSDBG_MINOR_FAILURE, "User [%s] not found in cache.\n",
+                                     user_name);
         ret = EOK;
         goto done;
     }
 
     ret = sss_hash_create(tmp_ctx, 10, &group_hash);
     if (ret != HASH_SUCCESS) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sss_hash_create failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sss_hash_create failed.\n");
         goto done;
     }
 
@@ -225,20 +225,20 @@ static errno_t find_ipa_ext_memberships(TALLOC_CTX *mem_ctx,
         sid = ldb_msg_find_attr_as_string(result->msgs[c], SYSDB_SID_STR,
                                           NULL);
         if (sid == NULL) {
-            DEBUG(SSSDBG_MINOR_FAILURE, ("Group [%s] does not have a SID.\n",
-                  ldb_dn_get_linearized(result->msgs[c]->dn)));
+            DEBUG(SSSDBG_MINOR_FAILURE, "Group [%s] does not have a SID.\n",
+                  ldb_dn_get_linearized(result->msgs[c]->dn));
             continue;
         }
 
         key.str = discard_const(sid);
         ret = hash_lookup(ext_group_hash, &key, &value);
         if (ret == HASH_ERROR_KEY_NOT_FOUND) {
-            DEBUG(SSSDBG_TRACE_ALL, ("SID [%s] not found in ext group hash.\n",
-                                     sid));
+            DEBUG(SSSDBG_TRACE_ALL, "SID [%s] not found in ext group hash.\n",
+                                     sid);
         } else if (ret == HASH_SUCCESS) {
             iter = new_hash_iter_context(value.ptr);
             if (iter == NULL) {
-                DEBUG(SSSDBG_OP_FAILURE, ("new_hash_iter_context failed.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "new_hash_iter_context failed.\n");
                 ret = EINVAL;
                 goto done;
             }
@@ -246,35 +246,35 @@ static errno_t find_ipa_ext_memberships(TALLOC_CTX *mem_ctx,
             while ((entry = iter->next(iter)) != NULL) {
                 ret = hash_enter(group_hash, &entry->key, &entry->value);
                 if (ret != HASH_SUCCESS) {
-                    DEBUG(SSSDBG_OP_FAILURE, ("Failed to add group [%s].\n",
-                                              entry->key.str));
+                    DEBUG(SSSDBG_OP_FAILURE, "Failed to add group [%s].\n",
+                                              entry->key.str);
                 }
             }
 
             talloc_free(iter);
         } else {
-            DEBUG(SSSDBG_OP_FAILURE, ("hash_lookup failed for SID [%s].\n",
-                                      sid));
+            DEBUG(SSSDBG_OP_FAILURE, "hash_lookup failed for SID [%s].\n",
+                                      sid);
         }
     }
 
     g_count = hash_count(group_hash);
     if (g_count == 0) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("No external groupmemberships found.\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "No external groupmemberships found.\n");
         ret = EOK;
         goto done;
     }
 
     groups = talloc_zero_array(mem_ctx, char *, g_count + 1);
     if (groups == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_array failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_array failed.\n");
         ret = ENOMEM;
         goto done;
     }
 
     iter = new_hash_iter_context(group_hash);
     if (iter == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("new_hash_iter_context failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "new_hash_iter_context failed.\n");
         ret = EINVAL;
         goto done;
     }
@@ -283,7 +283,7 @@ static errno_t find_ipa_ext_memberships(TALLOC_CTX *mem_ctx,
     while ((entry = iter->next(iter)) != NULL) {
         groups[c] = talloc_strdup(groups, entry->key.str);
         if (groups[c] == NULL) {
-            DEBUG(SSSDBG_OP_FAILURE, ("talloc_strdup failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "talloc_strdup failed.\n");
             ret = ENOMEM;
             goto done;
         }
@@ -292,7 +292,7 @@ static errno_t find_ipa_ext_memberships(TALLOC_CTX *mem_ctx,
 
     user_dn = ldb_dn_copy(mem_ctx, result->msgs[0]->dn);
     if (user_dn == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("ldb_dn_copy failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "ldb_dn_copy failed.\n");
         ret = ENOMEM;
         goto done;
     }
@@ -325,7 +325,7 @@ static errno_t add_ad_user_to_cached_groups(struct ldb_dn *user_dn,
 
     tmp_ctx = talloc_new(NULL);
     if (tmp_ctx == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_new failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_new failed.\n");
         return ENOMEM;
     }
 
@@ -336,7 +336,7 @@ static errno_t add_ad_user_to_cached_groups(struct ldb_dn *user_dn,
 
         subfilter = talloc_asprintf(tmp_ctx, "(%s=%s)", SYSDB_ORIG_DN, groups[c]);
         if (subfilter == NULL) {
-            DEBUG(SSSDBG_OP_FAILURE, ("talloc_asprintf failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "talloc_asprintf failed.\n");
             ret = ENOMEM;
             goto done;
         }
@@ -345,12 +345,12 @@ static errno_t add_ad_user_to_cached_groups(struct ldb_dn *user_dn,
                                   subfilter, NULL, &msgs_count, &msgs);
         if (ret != EOK) {
             if (ret == ENOENT) {
-                DEBUG(SSSDBG_TRACE_ALL, ("Group [%s] not in the cache.\n",
-                                         groups[c]));
+                DEBUG(SSSDBG_TRACE_ALL, "Group [%s] not in the cache.\n",
+                                         groups[c]);
                 *missing_groups = true;
                 continue;
             } else {
-                DEBUG(SSSDBG_OP_FAILURE, ("sysdb_search_entry failed.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "sysdb_search_entry failed.\n");
                 goto done;
             }
         }
@@ -361,13 +361,13 @@ static errno_t add_ad_user_to_cached_groups(struct ldb_dn *user_dn,
         ret = sysdb_mod_group_member(group_dom->sysdb, user_dn, msgs[0]->dn,
                                      LDB_FLAG_MOD_ADD);
         if (ret != EOK && ret != EEXIST) {
-            DEBUG(SSSDBG_OP_FAILURE, ("sysdb_mod_group_member failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "sysdb_mod_group_member failed.\n");
             goto done;
         }
 
         user_attrs = sysdb_new_attrs(tmp_ctx);
         if (user_attrs == NULL) {
-            DEBUG(SSSDBG_OP_FAILURE, ("sysdb_new_attrs failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "sysdb_new_attrs failed.\n");
             ret = ENOMEM;
             goto done;
         }
@@ -375,14 +375,14 @@ static errno_t add_ad_user_to_cached_groups(struct ldb_dn *user_dn,
         ret = sysdb_attrs_add_string(user_attrs, SYSDB_ORIG_MEMBEROF,
                                      groups[c]);
         if (ret != EOK) {
-            DEBUG(SSSDBG_OP_FAILURE, ("sysdb_attrs_add_string failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "sysdb_attrs_add_string failed.\n");
             goto done;
         }
 
         ret = sysdb_set_entry_attr(user_dom->sysdb, user_dn, user_attrs,
                                    LDB_FLAG_MOD_ADD);
         if (ret != EOK && ret != EEXIST) {
-            DEBUG(SSSDBG_OP_FAILURE, ("sysdb_set_entry_attr failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "sysdb_set_entry_attr failed.\n");
             goto done;
         }
 
@@ -442,7 +442,7 @@ struct tevent_req *ipa_get_ad_memberships_send(TALLOC_CTX *mem_ctx,
 
     req = tevent_req_create(mem_ctx, &state, struct get_ad_membership_state);
     if (req == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("tevent_req_create failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "tevent_req_create failed.\n");
         return NULL;
     }
 
@@ -455,14 +455,14 @@ struct tevent_req *ipa_get_ad_memberships_send(TALLOC_CTX *mem_ctx,
 
     if ((ar->entry_type & BE_REQ_TYPE_MASK) != BE_REQ_INITGROUPS
             || ar->filter_type != BE_FILTER_NAME) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Unsupported request type.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Unsupported request type.\n");
         ret = EINVAL;
         goto done;
     }
 
     state->user_name = talloc_strdup(state, ar->filter_value);
     if (state->user_name == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_Strdup failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_Strdup failed.\n");
         ret = ENOMEM;
         goto done;
     }
@@ -470,7 +470,7 @@ struct tevent_req *ipa_get_ad_memberships_send(TALLOC_CTX *mem_ctx,
     state->sdap_op = sdap_id_op_create(state,
                                        state->sdap_id_ctx->conn->conn_cache);
     if (state->sdap_op == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_id_op_create failed\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_id_op_create failed\n");
         ret = ENOMEM;
         goto done;
     }
@@ -480,21 +480,21 @@ struct tevent_req *ipa_get_ad_memberships_send(TALLOC_CTX *mem_ctx,
         server_mode->ext_groups = talloc_zero(server_mode,
                                               struct ipa_ext_groups);
         if (server_mode->ext_groups == NULL) {
-            DEBUG(SSSDBG_OP_FAILURE, ("talloc_zero failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "talloc_zero failed.\n");
             ret = ENOMEM;
             goto done;
         }
     }
 
     if (server_mode->ext_groups->next_update > time(NULL)) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("External group information still valid.\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "External group information still valid.\n");
         ret = ipa_add_ext_groups_step(req);
         if (ret == EOK) {
             goto done;
         } else if (ret == EAGAIN) {
             return req;
         } else {
-            DEBUG(SSSDBG_OP_FAILURE, ("ipa_add_ext_groups_step failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "ipa_add_ext_groups_step failed.\n");
             goto done;
         }
 
@@ -502,8 +502,8 @@ struct tevent_req *ipa_get_ad_memberships_send(TALLOC_CTX *mem_ctx,
 
     subreq = sdap_id_op_connect_send(state->sdap_op, state, &ret);
     if (subreq == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_id_op_connect_send failed: %d(%s).\n",
-                                  ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_id_op_connect_send failed: %d(%s).\n",
+                                  ret, strerror(ret));
         goto done;
     }
 
@@ -538,11 +538,11 @@ static void ipa_get_ad_memberships_connect_done(struct tevent_req *subreq)
     if (ret != EOK) {
         if (state->dp_error == DP_ERR_OFFLINE) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("No IPA server is available, going offline\n"));
+                  "No IPA server is available, going offline\n");
         } else {
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("Failed to connect to IPA server: [%d](%s)\n",
-                   ret, strerror(ret)));
+                  "Failed to connect to IPA server: [%d](%s)\n",
+                   ret, strerror(ret));
         }
 
         goto fail;
@@ -551,7 +551,7 @@ static void ipa_get_ad_memberships_connect_done(struct tevent_req *subreq)
 
     ret = domain_to_basedn(state, state->domain, &basedn);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("domain_to_basedn failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "domain_to_basedn failed.\n");
         goto fail;
     }
 
@@ -563,7 +563,7 @@ static void ipa_get_ad_memberships_connect_done(struct tevent_req *subreq)
                                                 SDAP_ENUM_SEARCH_TIMEOUT),
                                  false);
     if (subreq == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_get_generic_send failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_get_generic_send failed.\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -589,18 +589,18 @@ static void ipa_get_ext_groups_done(struct tevent_req *subreq)
                                 &state->reply_count, &state->reply);
     talloc_zfree(subreq);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("ipa_get_ext_groups request failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "ipa_get_ext_groups request failed.\n");
         tevent_req_error(req, ret);
         return;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("[%zu] external groups found.\n",
-                              state->reply_count));
+    DEBUG(SSSDBG_TRACE_FUNC, "[%zu] external groups found.\n",
+                              state->reply_count);
 
     ret = process_ext_groups(state->server_mode->ext_groups,
                              state->reply_count, state->reply, &ext_group_hash);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("process_ext_groups failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "process_ext_groups failed.\n");
         goto fail;
     }
 
@@ -615,7 +615,7 @@ static void ipa_get_ext_groups_done(struct tevent_req *subreq)
     } else if (ret == EAGAIN) {
         return;
     } else {
-        DEBUG(SSSDBG_OP_FAILURE, ("ipa_add_ext_groups_step failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "ipa_add_ext_groups_step failed.\n");
         goto fail;
     }
 
@@ -637,12 +637,12 @@ static errno_t ipa_add_ext_groups_step(struct tevent_req *req)
                                    state->server_mode->ext_groups->ext_groups,
                                    &user_dn, &groups);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("find_ipa_ext_memberships failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "find_ipa_ext_memberships failed.\n");
         goto fail;
     }
 
     if (groups == NULL) {
-        DEBUG(SSSDBG_TRACE_ALL, ("No external groups memberships found.\n"));
+        DEBUG(SSSDBG_TRACE_ALL, "No external groups memberships found.\n");
         state->dp_error = DP_ERR_OK;
         return EOK;
     }
@@ -651,7 +651,7 @@ static errno_t ipa_add_ext_groups_step(struct tevent_req *req)
                                          user_dn, state->user_dom, groups,
                                          state->sdap_id_ctx->be->domain);
     if (subreq == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("ipa_add_ad_memberships_send failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "ipa_add_ad_memberships_send failed.\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -675,7 +675,7 @@ static void ipa_add_ad_memberships_done(struct tevent_req *subreq)
     ret = ipa_add_ad_memberships_recv(subreq, &state->dp_error);
     talloc_zfree(subreq);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("ipa_add_ad_memberships request failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "ipa_add_ad_memberships request failed.\n");
         tevent_req_error(req, ret);
         return;
     }
@@ -731,7 +731,7 @@ static struct tevent_req *ipa_add_ad_memberships_send(TALLOC_CTX *mem_ctx,
 
     req = tevent_req_create(mem_ctx, &state, struct add_ad_membership_state);
     if (req == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("tevent_req_create failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "tevent_req_create failed.\n");
         return NULL;
     }
 
@@ -752,12 +752,12 @@ static struct tevent_req *ipa_add_ad_memberships_send(TALLOC_CTX *mem_ctx,
     ret = add_ad_user_to_cached_groups(user_dn, user_dom, group_dom, groups,
                                        &missing_groups);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("add_ad_user_to_cached_groups failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "add_ad_user_to_cached_groups failed.\n");
         goto done;
     }
 
     if (!missing_groups) {
-        DEBUG(SSSDBG_TRACE_ALL, ("All groups found in cache.\n"));
+        DEBUG(SSSDBG_TRACE_ALL, "All groups found in cache.\n");
         ret = EOK;
         goto done;
     }
@@ -765,15 +765,15 @@ static struct tevent_req *ipa_add_ad_memberships_send(TALLOC_CTX *mem_ctx,
     state->sdap_op = sdap_id_op_create(state,
                                        state->sdap_id_ctx->conn->conn_cache);
     if (state->sdap_op == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_id_op_create failed\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_id_op_create failed\n");
         ret = ENOMEM;
         goto done;
     }
 
     subreq = sdap_id_op_connect_send(state->sdap_op, state, &ret);
     if (subreq == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_id_op_connect_send failed: %d(%s).\n",
-                                  ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_id_op_connect_send failed: %d(%s).\n",
+                                  ret, strerror(ret));
         goto done;
     }
 
@@ -807,11 +807,11 @@ static void ipa_add_ad_memberships_connect_done(struct tevent_req *subreq)
     if (ret != EOK) {
         if (state->dp_error == DP_ERR_OFFLINE) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("No IPA server is available, going offline\n"));
+                  "No IPA server is available, going offline\n");
         } else {
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("Failed to connect to IPA server: [%d](%s)\n",
-                   ret, strerror(ret)));
+                  "Failed to connect to IPA server: [%d](%s)\n",
+                   ret, strerror(ret));
         }
 
         tevent_req_error(req, ret);
@@ -842,14 +842,14 @@ static void ipa_add_ad_memberships_get_next(struct tevent_req *req)
                                            state->group_dom, state->groups,
                                            &missing_groups);
         if (ret != EOK) {
-            DEBUG(SSSDBG_OP_FAILURE, ("add_ad_user_to_cached_groups failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "add_ad_user_to_cached_groups failed.\n");
             goto fail;
         }
 
         if (missing_groups) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("There are unresolved external group " \
+            DEBUG(SSSDBG_CRIT_FAILURE, "There are unresolved external group " \
                                         "memberships even after all groups have " \
-                                        "been looked up on the LDAP server."));
+                                        "been looked up on the LDAP server.");
         }
         tevent_req_done(req);
         return;
@@ -858,7 +858,7 @@ static void ipa_add_ad_memberships_get_next(struct tevent_req *req)
     group_dn = ldb_dn_new(state, sysdb_ctx_get_ldb(state->group_dom->sysdb),
                           state->groups[state->iter]);
     if (group_dn == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("ldb_dn_new failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "ldb_dn_new failed.\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -874,7 +874,7 @@ static void ipa_add_ad_memberships_get_next(struct tevent_req *req)
                                  BE_FILTER_NAME, BE_ATTR_CORE,
                                  false);
     if (subreq == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("groups_get_send failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "groups_get_send failed.\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -897,8 +897,8 @@ static void ipa_add_ad_memberships_get_group_done(struct tevent_req *subreq)
     ret = groups_get_recv(subreq, &state->dp_error, NULL);
     talloc_zfree(subreq);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Failed to read group [%s] from LDAP [%d](%s)\n",
-              state->groups[state->iter], ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "Failed to read group [%s] from LDAP [%d](%s)\n",
+              state->groups[state->iter], ret, strerror(ret));
 
         tevent_req_error(req, ret);
         return;
diff --git a/src/providers/ipa/ipa_subdomains_id.c b/src/providers/ipa/ipa_subdomains_id.c
index c29a2a3..22cfb99 100644
--- a/src/providers/ipa/ipa_subdomains_id.c
+++ b/src/providers/ipa/ipa_subdomains_id.c
@@ -69,7 +69,7 @@ struct tevent_req *ipa_get_subdom_acct_send(TALLOC_CTX *memctx,
 
     state->op = sdap_id_op_create(state, state->ctx->conn->conn_cache);
     if (!state->op) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_id_op_create failed\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_id_op_create failed\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -77,7 +77,7 @@ struct tevent_req *ipa_get_subdom_acct_send(TALLOC_CTX *memctx,
     state->domain = find_subdomain_by_name(state->ctx->be->domain,
                                            ar->domain, true);
     if (state->domain == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("find_subdomain_by_name failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "find_subdomain_by_name failed.\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -96,14 +96,14 @@ struct tevent_req *ipa_get_subdom_acct_send(TALLOC_CTX *memctx,
             break;
         case BE_REQ_INITGROUPS:
             ret = ENOTSUP;
-            DEBUG(SSSDBG_TRACE_FUNC, ("Initgroups requests are not handled " \
+            DEBUG(SSSDBG_TRACE_FUNC, "Initgroups requests are not handled " \
                                       "by the IPA provider but are resolved " \
                                       "by the responder directly from the " \
-                                      "cache.\n"));
+                                      "cache.\n");
             break;
         default:
             ret = EINVAL;
-            DEBUG(SSSDBG_OP_FAILURE, ("Invalid sub-domain request type.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "Invalid sub-domain request type.\n");
     }
     if (ret != EOK) goto fail;
 
@@ -142,7 +142,7 @@ static void ipa_get_subdom_acct_connected(struct tevent_req *subreq)
 
     req_input = talloc(state, struct req_input);
     if (req_input == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc failed.\n");
         tevent_req_error(req, ENOMEM);
         return;
     }
@@ -152,7 +152,7 @@ static void ipa_get_subdom_acct_connected(struct tevent_req *subreq)
             req_input->type = REQ_INP_NAME;
             req_input->inp.name = talloc_strdup(req_input, state->filter);
             if (req_input->inp.name == NULL) {
-                DEBUG(SSSDBG_OP_FAILURE, ("talloc_strdup failed.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "talloc_strdup failed.\n");
                 tevent_req_error(req, ENOMEM);
                 return;
             }
@@ -169,13 +169,13 @@ static void ipa_get_subdom_acct_connected(struct tevent_req *subreq)
             req_input->type = REQ_INP_SECID;
             req_input->inp.secid = talloc_strdup(req_input, state->filter);
             if (req_input->inp.secid == NULL) {
-                DEBUG(SSSDBG_OP_FAILURE, ("talloc_strdup failed.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "talloc_strdup failed.\n");
                 tevent_req_error(req, ENOMEM);
                 return;
             }
             break;
         default:
-            DEBUG(SSSDBG_OP_FAILURE, ("Invalid sub-domain filter type.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "Invalid sub-domain filter type.\n");
             state->dp_error = dp_error;
             tevent_req_error(req, EINVAL);
             return;
@@ -362,7 +362,7 @@ ipa_get_ad_acct_ad_part_done(struct tevent_req *subreq)
     ret = ad_handle_acct_info_recv(subreq, &state->dp_error, NULL);
     talloc_zfree(subreq);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("AD lookup failed: %d\n", ret));
+        DEBUG(SSSDBG_OP_FAILURE, "AD lookup failed: %d\n", ret);
         tevent_req_error(req, ret);
         return;
     }
@@ -406,8 +406,8 @@ ipa_get_ad_acct_done(struct tevent_req *subreq)
     ret = ipa_get_ad_memberships_recv(subreq, &state->dp_error);
     talloc_zfree(subreq);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("IPA external groups lookup failed: %d\n",
-                                  ret));
+        DEBUG(SSSDBG_OP_FAILURE, "IPA external groups lookup failed: %d\n",
+                                  ret);
         tevent_req_error(req, ret);
         return;
     }
diff --git a/src/providers/ipa/ipa_sudo.c b/src/providers/ipa/ipa_sudo.c
index 726b116..4863aa5 100644
--- a/src/providers/ipa/ipa_sudo.c
+++ b/src/providers/ipa/ipa_sudo.c
@@ -34,7 +34,7 @@ int ipa_sudo_init(struct be_ctx *be_ctx,
     struct ipa_options *ipa_options;
     struct sdap_options *ldap_options;
 
-    DEBUG(SSSDBG_TRACE_INTERNAL, ("Initializing sudo IPA back end\n"));
+    DEBUG(SSSDBG_TRACE_INTERNAL, "Initializing sudo IPA back end\n");
 
     /*
      * SDAP_SUDO_SEARCH_BASE has already been initialized in
@@ -42,8 +42,8 @@ int ipa_sudo_init(struct be_ctx *be_ctx,
      */
     ret = sdap_sudo_init(be_ctx, id_ctx->sdap_id_ctx, ops, pvt_data);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Cannot initialize LDAP SUDO [%d]: %s\n",
-                                  ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "Cannot initialize LDAP SUDO [%d]: %s\n",
+                                  ret, strerror(ret));
         return ret;
     }
 
